#ifndef KIMDOMAIN_H
#define KIMDOMAIN_H

#include <sys/time.h>

#ifdef __cplusplus
extern "C"{
#endif

enum KDomainUserState{
    KDOMAIN_USER_STATE_UNKOWN = 0,  //未知状态
    KDOMAIN_USER_STATE_LOCAL,       //本地用户
    KDOMAIN_USER_STATE_ONLINE,      //域用户在线登录
    KDOMAIN_USER_STATE_OFFLINE      //域用户离线登录
};

/*
 * @brief 检查终端是否已经加域
 * @return 检查结果
 * @retval 0 未加域
 * @retval 1 已加域
 */
int kdk_domain_is_enrolled();

int kdk_domain_get_default(char **domain);

int kdk_domain_get_current_user(char **user, int *state, time_t *auth_time);

int kdk_domain_user_auth_update();

#ifdef __cplusplus
}
#endif

#endif // KIMDOMAIN_H
